%define name xmp
%define version 2.5.1
%define release %mkrel 4

Summary: A multi-format module player
Name: %{name}
Version: %{version}
Release: %{release}
Source: %{name}-%{version}.tar.gz
URL: http://xmp.sourceforge.net/
License: GPLv2+
Group: Sound
BuildRequires: libalsa-devel
BuildRequires: pulseaudio-devel
BuildRequires: audacious-devel
BuildRequires: xmms-devel
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
The Extended Module Player is a modplayer for Unix-like systems that plays
over 70 mainstream and obscure module formats from Amiga, Atari, Acorn,
Apple IIgs  and PC, including Protracker (MOD), Scream Tracker 3 (S3M),
Fast Tracker II (XM) and Impulse Tracker (IT) files.

%package audacious
Summary: Xmp plugin for Audacious
Group: Sound
Requires: audacious

%description audacious
The Extended Module Player is a modplayer for Unix-like systems that plays
over 70 mainstream and obscure module formats from Amiga, Atari, Acorn,
Apple IIgs  and PC, including Protracker (MOD), Scream Tracker 3 (S3M),
Fast Tracker II (XM) and Impulse Tracker (IT) files.

This package contains the xmp plugin for the Audacious media player.

%package xmms
Summary: Xmp plugin for XMMS
Group: Sound
Requires: xmms

%description xmms
The Extended Module Player is a modplayer for Unix-like systems that plays
over 70 mainstream and obscure module formats from Amiga, Atari, Acorn,
Apple IIgs  and PC, including Protracker (MOD), Scream Tracker 3 (S3M),
Fast Tracker II (XM) and Impulse Tracker (IT) files.

This package contains the xmp plugin for the XMMS media player.

%prep
%setup -q

%build
%configure2_5x --enable-audacious-plugin --enable-xmms-plugin --enable-pulseaudio
make

%install
rm -rf %{buildroot}
mkdir -p %buildroot%_libdir/{audacious,xmms}/Input
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README docs/README* docs/COPYING docs/CREDITS docs/ChangeLog
%config(noreplace) %_sysconfdir/*
%{_bindir}/xmp
%{_mandir}/man1/xmp.1*

%files audacious
%defattr(-,root,root)
%doc README docs/COPYING docs/ChangeLog docs/CREDITS
%{_libdir}/audacious/Input/*

%files xmms
%defattr(-,root,root)
%doc README docs/COPYING docs/ChangeLog docs/CREDITS
%{_libdir}/xmms/Input/*


%changelog
* Mon Jul 21 2008 Götz Waschk <waschk@mandriva.org> 2.5.1-4mdv2009.0
+ Revision: 239404
- rebuild

* Mon Feb 18 2008 Götz Waschk <waschk@mandriva.org> 2.5.1-3mdv2008.1
+ Revision: 171211
- rebuild for new libmcs

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix summary-not-capitalized

* Tue Jan 01 2008 Götz Waschk <waschk@mandriva.org> 2.5.1-2mdv2008.1
+ Revision: 140180
- rebuild for new libmowgli

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Dec 07 2007 Götz Waschk <waschk@mandriva.org> 2.5.1-1mdv2008.1
+ Revision: 116284
- new version

* Tue Nov 27 2007 Götz Waschk <waschk@mandriva.org> 2.5.0-1mdv2008.1
+ Revision: 113474
- new version

* Thu Nov 22 2007 Götz Waschk <waschk@mandriva.org> 2.5.0-0.pre5.1mdv2008.1
+ Revision: 111244
- new version

* Tue Nov 20 2007 Götz Waschk <waschk@mandriva.org> 2.5.0-0.pre4.1mdv2008.1
+ Revision: 110707
- new version
- drop patches
- enable pulseaudio support

* Mon Nov 12 2007 Götz Waschk <waschk@mandriva.org> 2.4.1-3mdv2008.1
+ Revision: 108107
- add official patches

* Tue Nov 06 2007 Funda Wang <fundawang@mandriva.org> 2.4.1-2mdv2008.1
+ Revision: 106449
- Rebuild for new lzma

* Mon Oct 29 2007 Götz Waschk <waschk@mandriva.org> 2.4.1-1mdv2008.1
+ Revision: 103015
- new version

* Mon Oct 29 2007 Götz Waschk <waschk@mandriva.org> 2.4.0-2mdv2008.1
+ Revision: 102942
- rebuild for new audacious

* Thu Oct 25 2007 Götz Waschk <waschk@mandriva.org> 2.4.0-1mdv2008.1
+ Revision: 101999
- new version

* Mon Oct 22 2007 Götz Waschk <waschk@mandriva.org> 2.4.0-0.pre6.1mdv2008.1
+ Revision: 101344
- new version
- fix installation
- add xmms plugin

* Sun Oct 21 2007 Götz Waschk <waschk@mandriva.org> 2.4.0-0.pre5.1mdv2008.1
+ Revision: 100901
- new version

* Thu Oct 18 2007 Götz Waschk <waschk@mandriva.org> 2.4.0-0.pre4.1mdv2008.1
+ Revision: 99988
- new version

* Wed Oct 17 2007 Götz Waschk <waschk@mandriva.org> 2.4.0-0.pre3.1mdv2008.1
+ Revision: 99553
- new version

* Tue Oct 09 2007 Götz Waschk <waschk@mandriva.org> 2.3.2-1mdv2008.1
+ Revision: 95787
- new version
- new version
- drop patch

  + Claudio Matsuoka <claudio@mandriva.com>
    - add patch to fix typo in dtt loader
    - new upstream release: 2.2.1
    - building the audacious plugin

* Sat Sep 15 2007 Claudio Matsuoka <claudio@mandriva.com> 2.2.0-2mdv2008.0
+ Revision: 86526
- add patch to fix typo in the DTT loader

* Sat Sep 15 2007 Claudio Matsuoka <claudio@mandriva.com> 2.2.0-1mdv2008.0
+ Revision: 85817
- new upstream release: 2.2.0

* Fri Sep 14 2007 Claudio Matsuoka <claudio@mandriva.com> 2.2.0-0.rc2.1mdv2008.0
+ Revision: 85408
- new upstream version: 2.2.0-rc2
- updated description
- new upstream version: 2.2.0-rc1
- updated installation commands
- Update package description

  + Götz Waschk <waschk@mandriva.org>
    - remove xxmp man page

* Mon Sep 10 2007 Götz Waschk <waschk@mandriva.org> 2.2.0-0.pre6.1mdv2008.0
+ Revision: 84012
- new version

* Wed Sep 05 2007 Götz Waschk <waschk@mandriva.org> 2.2.0-0.pre5.1mdv2008.0
+ Revision: 79747
- new version

* Thu Aug 23 2007 Götz Waschk <waschk@mandriva.org> 2.2.0-0.pre4.1mdv2008.0
+ Revision: 70657
- Import xmp



* Thu Aug 23 2007 Gtz Waschk <waschk@mandriva.org> 2.2.0-0.pre4.1mdv2008.0
- new version, yay

* Tue Jun 17 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.0.5-9mdk
- URL
- buildrequires
- patch for gcc 3.3

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.0.5-8mdk
- fix buildrequires

* Wed Jan 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.0.5-7mdk
- rebuild

* Mon Apr 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0.5-6mdk
- rebuild for new alsa (disable alsa temporarily)

* Fri Aug 24 2001 Etienne Faure <etienne@mandrakesoft.com> 2.0.5-5mdk
- rebuild

* Thu Mar 01 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.5-0.4mdk
- fix buildrequires

* Wed Feb 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.5-0.3mdk
- remove nonfree patch
- upgraded by Gtz Waschk <waschk@linux-mandrake.com> :
	- 2.0.5-pre3
	- included nonfree patch
	- changed package copyright to Distributable

* Thu Feb 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.5pre2-1mdk
- updated to 2.0.5-pre2

* Mon Jan 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.4-1mdk
- used srpm from Gtz Waschk <waschk@linux-mandrake.com> :
	- 2.0.4
	- removed obsoleted patch

* Tue Jan  9 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0.3-1mdk
- Gotz Waschk <waschk@linux-mandrake.com> SRPM:
  - 2.0.3
  - fixed installation
  - removed obsoleted patches
  - fixed xmms plugin
  - added some more files to the documentation

* Fri Jan  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0.2-4mdk
- rebuild

* Tue Dec 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0.2-3mdk
- config-noreplace
- buildrequires

* Thu Sep 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.0.2-2mdk
- bm & macros

* Sun May  7 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0.2-1mdk
- 2.0.2
- mdk release

* Thu Oct 22 1998 Arne Coucheron <arneco@online.no>
  [1.1.6-1]
- won't compile with esd support, so leaving it out for now

* Mon Jun 22 1998 Arne Coucheron <arneco@online.no>
  [1.1.5-1]
